
QGIS Application - Bug report #7766

Raster layers missing from pdf when composer map background has alpha < 255

2013-05-04 04:16 AM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Radim Blazek

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16665

Description

Steps to reproduce:

1. Add a raster image to a map

2. Create a composition with this map

3. Set the composer map background to a color with less than 255 opacity

4. Export the composition to a pdf -> the raster layer will be missing

This only occurs when printing as vector, so setting "print as raster" results in the layer being included in the pdf.

Associated revisions

Revision 0881643e - 2013-06-07 06:29 PM - Radim Blazek

reset brush before raster layer draw, fixes #7766

History

#1 - 2013-05-04 04:16 AM - Nyall Dawson

- Subject changed from Raster layers not missing from pdf when composer map background has alpha < 255 to Raster layers missing from pdf when 

composer map background has alpha < 255

#2 - 2013-05-30 08:05 AM - Radim Blazek

- Target version set to Version 2.0.0

- Category set to 33

#3 - 2013-06-07 09:02 AM - Radim Blazek

- Assignee set to Radim Blazek

#4 - 2013-06-07 09:23 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"0881643e0b25465c55f54818d1bc7a90729574fe".

#5 - 2013-06-07 09:27 AM - Radim Blazek

IMO it is a bug in Qt, it seems that wrongly applies alpha of last brush also to drawImage(). I have added
setBrush( QBrush( QColor( Qt::white ), Qt::NoBrush ) )

before drawImage() as a workaround.
